> For a complete page index, fetch https://docs.transak.com/llms.txt

# Get VBA by ID

GET https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/{virtualBankId}

Fetch a Virtual Bank Account (VBA) by virtual bank ID.

Reference: https://docs.transak.com/api/whitelabel/virtual-account-payments/get-virtual-bank-account-by-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: whitelabel-api
  version: 1.0.0
paths:
  /api/v2/onramp-stream/vba/{virtualBankId}:
    get:
      operationId: get-virtual-bank-account-by-id
      summary: Get VBA by ID
      description: Fetch a Virtual Bank Account (VBA) by virtual bank ID.
      tags:
        - ''
      parameters:
        - name: virtualBankId
          in: path
          description: Generated Virtual Bank Identifier
          required: true
          schema:
            type: string
        - name: x-user-ip
          in: header
          description: >-
            End user's originating IP. More details
            [here](/guides/mandatory-security-changes#user-ip-header-in-apis)
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: >-
            Your Partner API key. You can find this in the [Partner
            Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section).
          required: true
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            Authorization token is the accessToken received from the API -
            `api/v2/auth/verify`


            Note: This is not applicable for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
        - name: x-user-identifier
          in: header
          description: >-
            Your authenticated user Email Id address.


            Note: This is applicable only for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
        - name: x-access-token
          in: header
          description: >-
            Your Partner Access Token. Please refer
            [here](/guides/how-to-create-partner-access-token) for a tutorial on
            generating your access token. 


            Note: This is applicable only for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/get-virtual-bank-account-by-id_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-virtual-bank-account-by-idRequestBadRequestError
        '404':
          description: 404 - User Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-virtual-bank-account-by-idRequestNotFoundError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-virtual-bank-account-by-idRequestInternalServerError
servers:
  - url: https://api-gateway-stg.transak.com
    description: Staging
components:
  schemas:
    ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSourceBankAccount:
      type: object
      properties:
        type:
          type: string
          description: Bank account identifier type
        value:
          type: string
          description: Bank account identifier value
      title: >-
        ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSourceBankAccount
    ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSourceBankLocalCode:
      type: object
      properties:
        type:
          type: string
          description: Bank local code type
        value:
          type: string
          description: Bank local code value
      title: >-
        ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSourceBankLocalCode
    ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSource:
      type: object
      properties:
        fiatCurrency:
          type: string
          description: Fiat currency code
        bankAccount:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSourceBankAccount
        bankLocalCode:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSourceBankLocalCode
      description: Source bank details mapped to this VBA
      title: >-
        ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSource
    ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataDestination:
      type: object
      properties:
        cryptoCurrency:
          type: string
          description: Crypto currency symbol
        walletAddress:
          type: string
          description: User's wallet address
        network:
          type: string
          description: Blockchain network
        memoTag:
          type: string
          description: Additional address property to identify the transfer recipient.
      description: Destination crypto transfer details
      title: >-
        ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataDestination
    ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          description: Generated Virtual Bank Identifier
        status:
          type: string
          description: Current VBA status
        source:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataSource
          description: Source bank details mapped to this VBA
        destination:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaDataDestination
          description: Destination crypto transfer details
      title: >-
        ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData
    get-virtual-bank-account-by-id_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData
      title: get-virtual-bank-account-by-id_Response_200
    ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
      required:
        - statusCode
        - message
      title: >-
        ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError
    Get-virtual-bank-account-by-idRequestBadRequestError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-virtual-bank-account-by-idRequestBadRequestError
    Get-virtual-bank-account-by-idRequestNotFoundError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-virtual-bank-account-by-idRequestNotFoundError
    Get-virtual-bank-account-by-idRequestInternalServerError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-virtual-bank-account-by-idRequestInternalServerError

```

## Examples

### USD-Success



**Response**

```json
{
  "data": {
    "id": "698475e474c810f090ee01fd",
    "status": "ACTIVE",
    "source": {
      "fiatCurrency": "USD",
      "bankAccount": {
        "type": "account_number",
        "value": "359309664407"
      },
      "bankLocalCode": {
        "type": "routing_number",
        "value": "021000021"
      }
    },
    "destination": {
      "cryptoCurrency": "ETH",
      "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
      "network": "ethereum",
      "memoTag": "test"
    }
  }
}
```

**SDK Code**

```python USD-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

headers = {
    "x-api-key": "",
    "x-user-ip": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript USD-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go USD-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "")
	req.Header.Add("x-user-ip", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby USD-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = ''
request["x-user-ip"] = ''

response = http.request(request)
puts response.read_body
```

```java USD-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-api-key", "")
  .header("x-user-ip", "")
  .asString();
```

```php USD-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp USD-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "");
request.AddHeader("x-user-ip", "");
IRestResponse response = client.Execute(request);
```

```swift USD-Success
import Foundation

let headers = [
  "x-api-key": "",
  "x-user-ip": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### EUR-Success



**Response**

```json
{
  "data": {
    "id": "698475e474c810f090ee01fd",
    "status": "ACTIVE",
    "source": {
      "fiatCurrency": "EUR",
      "bankAccount": {
        "type": "iban",
        "value": "GB58SEOU19870010411513"
      },
      "bankLocalCode": {
        "type": "bic",
        "value": "CFTEMTM1"
      }
    },
    "destination": {
      "cryptoCurrency": "ETH",
      "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
      "network": "ethereum",
      "memoTag": "test"
    }
  }
}
```

**SDK Code**

```python EUR-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

headers = {
    "x-api-key": "",
    "x-user-ip": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript EUR-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go EUR-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "")
	req.Header.Add("x-user-ip", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby EUR-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = ''
request["x-user-ip"] = ''

response = http.request(request)
puts response.read_body
```

```java EUR-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-api-key", "")
  .header("x-user-ip", "")
  .asString();
```

```php EUR-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp EUR-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "");
request.AddHeader("x-user-ip", "");
IRestResponse response = client.Execute(request);
```

```swift EUR-Success
import Foundation

let headers = [
  "x-api-key": "",
  "x-user-ip": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### GBP-Success



**Response**

```json
{
  "data": {
    "id": "698475e474c810f090ee01fd",
    "status": "ACTIVE",
    "source": {
      "fiatCurrency": "GBP",
      "bankAccount": {
        "type": "account_number",
        "value": "00083038"
      },
      "bankLocalCode": {
        "type": "sort_code",
        "value": "040509"
      }
    },
    "destination": {
      "cryptoCurrency": "ETH",
      "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
      "network": "ethereum",
      "memoTag": "test"
    }
  }
}
```

**SDK Code**

```python GBP-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

headers = {
    "x-api-key": "",
    "x-user-ip": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript GBP-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go GBP-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "")
	req.Header.Add("x-user-ip", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby GBP-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = ''
request["x-user-ip"] = ''

response = http.request(request)
puts response.read_body
```

```java GBP-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-api-key", "")
  .header("x-user-ip", "")
  .asString();
```

```php GBP-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp GBP-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "");
request.AddHeader("x-user-ip", "");
IRestResponse response = client.Execute(request);
```

```swift GBP-Success
import Foundation

let headers = [
  "x-api-key": "",
  "x-user-ip": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```